{% extends 'base.html.twig' %}

{% block title %}Se connecter{% endblock %}

{% block main %}
<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Déconnexion</a>
        </div>
    {% endif %}

    <h1 class="h3 mb-3 font-weight-normal">Connectez-vous</h1>
    <div class="form-group">
        <label for="inputLogin" class="m-2">Login:</label><br>
        <input type="text" value="{{ last_username }}" name="login" id="inputLogin" class="form-control-lg m-2" required autofocus placeholder="email ou pseudo">
    </div>
    <div class="form-group">
        <label for="inputPassword" class="m-2">Mot de passe:</label><br>
        <input type="password" name="password" id="inputPassword" class="form-control-lg m-2" required>
    </div>
    <input type="hidden" name="_csrf_token"
           value="{{ csrf_token('authenticate') }}"
    >


       {# Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html#}

        <div class="checkbox m-2">
            <label>
                <input type="checkbox" name="_remember_me">
                Ne m'oublie pas
            </label>
        </div>
    <button class="btn btn-lg btn-primary m-2" type="submit">
        Se connecter
    </button>
    <a href="{{ path('user_register') }}">
        <button class="btn btn-lg btn-primary m-2" type="button">
            S'inscrire
        </button>
    </a>
    <a href="{{ path('ask_password') }}">
        Quelle quiche, j'ai oublié mon mot de passe!
    </a>

</form>
{% endblock %}
